<?php
namespace Sifency\Traits;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;


trait Sifency_Addons_Label_Content_Controls {
	protected function add_sifency_addons_label_content_controls() {
		$this->start_controls_section(
			'section_label_content',
			array(
				'label' => esc_html__( 'Label', 'sifency-addons' ),
			)
		);

		$this->add_control(
			'show_label',
			array(
				'label'        => esc_html__( 'Show Label', 'sifency-addons' ),
				'type'         => Controls_Manager::SWITCHER,
				'label_on'     => esc_html__( 'Show', 'sifency-addons' ),
				'label_off'    => esc_html__( 'Hide', 'sifency-addons' ),
				'return_value' => 'yes',
			)
		);

		$this->add_control(
			'label_text',
			array(
				'label'       => esc_html__( 'Label Text', 'sifency-addons' ),
				'type'        => Controls_Manager::TEXTAREA,
				'default'     => esc_html__( 'Insert Label', 'sifency-addons' ),
				'placeholder' => esc_html__( 'Enter your label', 'sifency-addons' ),
				'condition'   => array(
					'show_label' => 'yes',
				),
			)
		);

		$this->end_controls_section();
	}
}
